package com.ruoyi.system.core.domain;

import jdk.nashorn.internal.objects.annotations.Getter;
import jdk.nashorn.internal.objects.annotations.Setter;

import java.util.List;


public class DataStrategy {
    public static final String RANDOM_MODEL = "RANDOM";

    public static final String  DECREMENT = "DECREMENT";
    private String deviceType;

    private String key;

    private String model;

    private Integer defData;

    private Integer floatNum;

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public Integer getDefData() {
        return defData;
    }

    public void setDefData(Integer defData) {
        this.defData = defData;
    }

    public Integer getFloatNum() {
        return floatNum;
    }

    public void setFloatNum(Integer floatNum) {
        this.floatNum = floatNum;
    }
}
